/* Variables CSS globales */
:root {
    --base-font-size: 23px;
}

/* Bordes y rellenos incluidos en el alto y ancho de los elementos  */
* {
    box-sizing: border-box;
}

html {
    font-family: "Darker Grotesque", "Courier New";
    font-size: var(--base-font-size);
}


/* Estilos para el formulario que permite introducir los datos del estudiante */
#divRegistrarEstudiante {
    display: flex;
    position: fixed;
    left: 0px;
    top: 0px;
    width: 100%;
    height: 100%;
    align-items: center;
    justify-content: center;
    background-color: rgb(255,255,255,0.7);
    z-index: 25;
}
#divRegistrarEstudiante>div {
    box-shadow: 5px 5px 10px 2px grey;
    font-family: serif;
    font-size: 1.0rem;
    width: 380px;
    padding:15px 10px;
    background-color:white;
    border-radius: 15px;
}
#divRegistrarEstudiante label {
    display: inline-block;
    width: 140px;
    text-align: right;
}
#divRegistrarEstudiante input {
    padding-left:5px;
    margin:5px 0px;
    font-size: 0.9rem;
}
#divRegistrarEstudiante button {
    display: block;
    margin: 20px auto 0px auto;
    font-size: 1.1rem;
    padding: 5px 30px;
}

/* Estilos del div que muestra el cuadro de díalogo */
/* Fondo de la ventana de diálogo */
#divDialogo {
    display: flex;
    position: fixed;
    left: 0px;
    top: 0px;
    width: 100%;
    height: 100vh;
    background-color: rgb(255,255,255,0.7);
    align-items: center;
    justify-content: center;
    display: none;
    z-index: 29;
}
#divDialogo>div {
    overflow: hidden;
    width: 22rem;
    max-height: 600px;
    background-color: #b5f476;
    font-size: 1.1em;
    color: darkblue;
    text-align: justify;
    border-radius: 20px;
    box-shadow: 5px 5px 12px 2px grey;
    padding: 25px 25px;
}
/* Título de la ventana de diálogo */
#divDialogo>div>div:first-child {
    font-size: 1.2em;
    text-align: center;
    padding-top: 10px;
    font-weight: bold;
    color: white;
    text-shadow: 2px 2px 4px black;
}
/* Mensaje de la ventana de diálogo */
#divDialogo>div>div:nth-child(2) {
    padding-top: 0.87rem;
    padding-bottom: 0.87rem;
}
/* Input de la ventana de diálogo */
#divDialogo>div>input {
    display: block;
    width: 14rem;
    color: blue;
    margin-left: auto;
    margin-right: auto;
    margin-bottom: 0.87rem;
    font-size: 1.1rem;
    text-align: center;
}
/* Div que contiene los botones Aceptar y Cancelar */
#divDialogo>div>div:nth-child(4) {
    text-align: center;
    height: 2.17rem;
}
/* Formato de los botones de la ventana de diálogo */
#divDialogo button {
    padding: 7px;
    width: 7rem;
    font-size: medium;
    border-radius: 15px;
    background-color: rgb(255,255,255,0.5);
    cursor: pointer;
    border: none;
    box-shadow: 3px 3px 10px 1px grey;
    font-size: 0.95em;
}
#divDialogo button:hover {
    background-color: rgb(0,0,0,0.5);
    color: white;
    box-shadow: 5px 5px 10px 0px #d8ffb4;
}
/* Margen izquierdo (separación) del segundo botón del cuadro de diálogo */
#divDialogo button:nth-child(2) {
    margin-left: 1.74rem;
}

/* Estilos del div que muestra un mensaje de alerta */
#divAlerta { /* Fondo de la alerta */
    position:fixed;
    left:0px;
    top:0px;
    width:100%;
    height:100%;
    background-color: rgb(255,255,255,0.7);
    align-items: center;
    justify-content: center;
    display:none;
    z-index: 30;
}
#divAlerta>div { /* Ventana de alerta */
    width: 370px;
    max-height: 600px;
    background-color: #b5f476;
    font-size: 1.1em;
    color: darkblue;
    text-align: justify;
    border-radius: 20px;
    box-shadow: 5px 5px 12px 2px grey;
    padding: 5px 25px;
}
#divAlerta>div>div:first-child { /* Título de la ventana de alerta */
    font-size: 1.2em;
    text-align: center;
    padding-top: 10px;
    font-weight: bold;
    color: white;
    text-shadow: 3px 2px 5px black;
}
#divAlerta>div>div:nth-child(2) { /* Div que contiene el botón Aceptar */
    padding-top:20px;
    padding-bottom:20px;
}
#divAlerta button { /* Formato del botón Aceptar */
    display: block;
    margin-left: auto;
    margin-right: auto;
    margin-bottom: 10px;
    padding: 7px 30px;
    border-radius: 15px;
    background-color: rgb(255,255,255,0.5);
    cursor: pointer;
    border: none;
    box-shadow: 3px 3px 10px 1px grey;
    font-size: 0.95em;
}
#divAlerta button:hover {
    background-color: rgb(0,0,0,0.5);
    color: white;
    box-shadow: 5px 5px 10px 0px #d8ffb4;
}


/* Estilos del div que muestra un mensaje de espera */
#divMensaje {
    position:fixed;
    left:0px;
    top:0px;
    width:100%;
    height:100%;
    background-color: rgb(255,255,255,0.7);
    align-items: center;
    justify-content: center;
    display:none;
    z-index: 31;
}
#divMensaje>div {
    width: 370px;
    max-height: 600px;
    background-color: #b5f476;
    font-size: 1.15em;
    color: darkblue;
    text-align: justify;
    border-radius: 20px;
    box-shadow: 5px 5px 12px 2px grey;
    padding: 25px 25px;
}


button {
    color: white;
    cursor: pointer;
    box-shadow: 3px 3px 3px #73a9b1;
    font-size: 1em;
    font-family: 'Darker Grotesque';
    font-weight: bolder;
    background-color: #8ecef9;
    border-radius: 62px;
    border-color: #e3fbd7;
    padding: 0px 30px 4px 30px;
    margin: 5px 0px 15px 0px;
    text-shadow: 1px 0 black, -1px 0 black, 0 -1px black, 0 1px black, 1px 1px 3px black;
    transition: transform 0.1s;
}
button:hover {
    transform: matrix(1.05, 0, 0, 1.05, 5, 0);
    background-color: #4aa8e8f5;
}
button:disabled {
    background-color: #d6dcd3;
    box-shadow: 5px 5px 10px #bbc5b5;
    pointer-events: none;
}


/* Estilo para que un botón se vea como un enlace */
.btnAsLink {
    box-shadow: none;
    font-weight: bolder;
    background: none;
    border: none;
    text-indent: 0px;
    text-decoration: none;
    color: #eaf7ff;
    font-size: 1.7rem;
    margin-left: auto;
    margin-right: auto;
    padding: 0px 20px 0px 20px;
    display: block;
    text-shadow: 0 -1px black, 1px 0 black, 0 1px black, -1px 0 black, 3px 3px 5px #363636;
}
.btnAsLink:hover{
    background-color: #539abd;
}
